Subject: Re: bug#30794: Cannot produce backslash through hexadecimal - sed (GNU sed) 4.2.2

From: 0xddaa <[email-masked]>
Date: Wed, 14 Mar 2018 11:50:31 +0800

I am glad that my report is helpful.
Thanks for your praise. :)

2018-03-14 10:45 GMT+08:00 Assaf Gordon <[email-masked]>:

> Hello,
>
> On Tue, Mar 13, 2018 at 06:02:05PM +0800, 0xddaa wrote:
> > There is the Proof-of-Concept:
> >
> > # echo z | sed 's/z/\x5c/' # \x5c == '\'
> > \ # success
> > # echo z | sed 's/z/\x5c\x61/'
> > a # backslash is gone
> >
> > According the manual, *\xxx* should produce an ascii character. sed
> should
> > not treat *\x5c* as an escape symbol.
>
> Thank you for reporting this issue with such clear details
> and providing a bug fix - much appreciated!
>
> I expanded your fix by adding tests and news item, see attached patch.
>
> There is a small issue that this is a backwards incompatible change,
> and might break some exotic (bad) scripts.
>
> I'll wait for other opinions before pushing this.
>
> Jim,
> What do you think?
>
> regards,
>  - assaf
>